petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatFactorGetErrorZeroPivot

returns the pivot value that was determined to be zero and the row it occurred in

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorGetErrorZeroPivot(Mat mat,PetscReal *pivot,PetscInt *row)

Logically Collective on Mat

### Input Parameters

mat -the factored matrix

### Output Parameter

| pivot | - the pivot value computed
| row | - the row that the zero pivot occurred. Note that this row must be interpreted carefully due to row reorderings and which processes the share the matrix

### Notes

This routine does not work for factorizations done with external packages. This routine should only be called if MatGetFactorError() returns a value of MAT_FACTOR_NUMERIC_ZEROPIVOT

This can be called on non-factored matrices that come from, for example, matrices used in SOR.

### See Also

MatZeroEntries(), MatFactor(), MatGetFactor(), MatFactorSymbolic(), MatFactorClearError(), MatFactorGetErrorZeroPivot()

### Level

advanced

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages